<block-ui message="Loading..."> </block-ui>
<div class="">
  <h3 class="mb-3 mt-3" id="heading">Treatment Notes Template</h3>
  <mat-tab-group color="warn">
    <mat-tab label="Template Library">
      <div class="row">
        <div class="col-xl-6">

          <p *ngIf="displaySuccessMessage" class="alert d-flex align-items-center mb-3" class="alert-success">
            <mat-icon class="success"> check_circle </mat-icon>
            <span>
              {{ displaySuccessMessage }}
            </span>
          </p>
        </div>
        <div class="col-xl-6 d-flex justify-content-end">
          <div class="ml-3">
            <button mat-stroked-button color="accent" class="wide mr-3" [routerLink]="['/settings/templatelibrary']">
              Return to Library
            </button>
            <button *appAccess="moduleName;lookFor: 'C'" mat-raised-button color="accent" [routerLink]="['/settings/treatmentnotestemplate/add']" class="wide">
              Add Template
            </button>
          </div>
        </div>
      </div>

      <div class="form-group row mt-4">
        <div class="col-xl-6">
          <div class="tab bg-white">
            <div class="row">
              <div class="col-xl-6 d-flex align-items-center">
                <button class="tablinks active bold">{{ this.heading }}</button>
              </div>
              <div class="col-xl-6 d-flex justify-content-end pt-2">
                <kendo-dropdownlist [data]="totalTreatmentNotesTemplateLibrary" [textField]="'specialityName'" [valueField]="'specialityId'" [value]="selectedSpeciality" (valueChange)="handleSpeciality($event)" class="mr-2" style="height: 40px">
                </kendo-dropdownlist>

                <kendo-dropdownlist [data]="categoryItems" class="mr-2" style="height: 40px" [value]="selectedCategory" (valueChange)="handleCategory($event)">
                </kendo-dropdownlist>
              </div>
            </div>
          </div>

          <div class="tabcontent bg-white">
            <div class="col-xl-12 d-block align-items-center pt-3">
              <mat-form-field [appearance]="apperance" class="full-width">
                <input matInput #templateName placeholder="Search by Template Name" (input)="templateNameChange(templateName.value)" />
              </mat-form-field>
            </div>
            <div *ngFor="let d of treatmentNotesTemplateLibraryFilter" [ngClass]="d.cssName">
              <div (click)="selectTemplate(d.id)">
                <div class="d-flex justify-content-between align-items-center">
                  <div class="pt-3">
                    <div class="speciality-name">{{ d.templateName }}</div>
                    <div class="speciality-location">
                      {{ d.userName }}, {{ d.businessName }}
                    </div>
                  </div>
                  <div class="pt-3 text-center">
                    <button mat-button class="btn">
                      <div class="d-flex justify-content-center align-items-center">
                        <mat-icon style="font-size: 25px">person</mat-icon>
                        <div class="user-count">{{ d.usedCount }}</div>
                      </div>
                    </button>
                    <p class="hazel-text mt-1 bold">
                      {{ d.createdDate | date: "dd-MMM-yyyy" }}
                    </p>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        <!-- Preview -->
        <div class="col-xl-6">
          <div class="tab bg-white">
            <div class="d-block align-items-center">
              <button class="tablinks active bold">Preview</button>
            </div>
          </div>

          <div class="tabcontent bg-white">
            <div class="div-scroll">
              <div *ngIf="selectedTreatmentNotesTemplateLibrary" class="col-xl-12 row tlbs-list ml-0">
                <div class="">
                  <div class="speciality-name">
                    {{ selectedTreatmentNotesTemplateLibrary.templateName }}
                  </div>
                  <div class="speciality-location">
                    {{ selectedTreatmentNotesTemplateLibrary.userName }}, {{ selectedTreatmentNotesTemplateLibrary.businessName }}
                  </div>
                </div>
                <div class="">
                  <button mat-button class="btn ">
                    <mat-icon style="font-size: 25px">person</mat-icon>
                    <div class="user-count">
                      {{
                                        selectedTreatmentNotesTemplateLibrary.usedCount
                      }}
                    </div>
                  </button>
                  <p class="hazel-text mt-1 bold">
                    {{ selectedTreatmentNotesTemplateLibrary.createdDate | date: "dd-MMM-yyyy" }}
                  </p>
                </div>
              </div>
              <div class="disabledDiv">
                <app-treatment-notes-preview [treatmentNotes]="treatmentNotes"></app-treatment-notes-preview>
              </div>
            </div>
            <mat-divider class="mt-3"></mat-divider>
            <div class="col-xl-12 d-flex justify-content-end mt-2 bottom">
              <button mat-raised-button color="accent" class="wide" [disabled]="!treatmentNotes.templateName" (click)="openPopup()">
                Add to Template List
              </button>
            </div>
          </div>
        </div>
      </div>
    </mat-tab>
  </mat-tab-group>
</div>

<kendo-dialog *ngIf="opened" [width]="670" (close)="onDialogClose()">
  <kendo-dialog-titlebar>
    <div style="font-size: 18px; line-height: 1.3em">ADD TO TEMPLATE LIST</div>
  </kendo-dialog-titlebar>
  <form [formGroup]="treatmentNotesLibraryForm">
    <div class="row">
      <div class="col-xl-12 d-flex align-items-center">
        <mat-form-field [appearance]="apperance" class="full-width">
          <mat-label>Template Name</mat-label>
          <input matInput required placeholder="Template Name" formControlName="templateName" />
        </mat-form-field>
      </div>
      <div class="col-xl-12 d-flex align-items-center">
        <kendo-multiselect [data]="specialityData" placeholder="Speciality Name" [filterable]="true" [textField]="'specialityName'" formControlName="specialityName" required [valueField]="'id'" style="height: 74px">
        </kendo-multiselect>
      </div>
    </div>
  </form>
  <kendo-dialog-actions [layout]="actionsLayout">
    <div class="col-xl-12 d-flex justify-content-end">
      <button mat-stroked-button color="accent" (click)="onDialogClose()" class="mr-3 footer-btn-customize">
        Cancel
      </button>
      <button mat-raised-button color="accent" class=" footer-btn-customize" [disabled]="treatmentNotesLibraryForm.invalid" (click)="onClickAddToTemplateList()">
        Save
      </button>
    </div>
  </kendo-dialog-actions>
</kendo-dialog>
